
@import url("https://fonts.googleapis.com/css2?family=Unbounded:wght@200..900&display=swap");

:root {
  --header-height: 3.5rem;


  --hue: 180;
  --first-color: hsl(var(--hue), 80%, 48%);
  --first-color-alt: hsl(var(--hue), 80%, 44%);
  --white-color: hsl(var(--hue), 8%, 92%);
  --black-color: hsl(var(--hue), 4%, 8%);
  --gray-color: hsl(var(--hue), 4%, 50%);
  --body-color: hsl(var(--hue), 8%, 8%);
  --container-color: hsl(var(--hue), 8%, 12%);


 
  --body-font: "Unbounded", sans-serif;
  --bigger-font-size: 2rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;

  --font-light: 300;
  --font-regular: 400;
  --font-medium: 500;
  --font-semi-bold: 600;

  --z-tooltip: 10;
  --z-fixed: 100;
}

@media screen and (min-width: 1150px) {
  :root {
    --bigger-font-size: 3rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
  }
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body,
button,
input,
textarea {
  font: var(--font-light) var(--normal-font-size) var(--body-font);
}

body {
  background-color: var(--body-color);
  color: var(--white-color);
}

button {
  outline: none;
  border: none;
}

h1, h2, h3, h4 {
  font-weight: var(--font-semi-bold);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

.container {
  max-width: 1120px;
  margin-inline: 1.5rem;
}

.grid {
  display: grid;
  gap: 1.5rem;
}

.section {
  padding-block: 5rem 1rem;
}

.section__title {
  text-align: center;
  font-size: var(--h1-font-size);
  color: var(--first-color);
  margin-bottom: 1.5rem;
}

.main {
  overflow: hidden;
}

.header{
    position:fixed;
    width:100%;
    top: 0;
    left: 0;
    background-color: var(--body-color);
    z-index: var(--z-fixed);
    transition: box-shadow .4s;
}
.nav{
    height: var(--header-height);
    display:flex;
    justify-content: space-between;
    align-items: center;
}

.nav__logo{
    color:var(--white-color);
    font-weight: var(--font-semi-bold);
    transition: color .4s;
}

.nav__logo:hover{
    color: var(--first-color);
}
.nav__toggle,
.nav__close{
    font-size: 1.5rem;
    cursor: pointer;

}

@media screen and (max-width: 1150px){
    .nav__menu{
        position: fixed;
        top: -120%;
        left: 0;
        width: 100%;
        background-color: var(--body-color);
        box-shadow: 0 8px 16px hsla(0, 0%, 0%, .5);
        padding-block: 5rem 4rem;
        border-radius: 0 0 1.5rem 1.5rem;
        transition: top .4s;
    }
}

.nav__list{
    text-align: center;
    display: flex;
    flex-direction: column;
    row-gap: 1.5rem;
}

.nav__link{
    position: relative;
    color: var(--white-color);
    font-weight:var(--font-medium);
    transition: color .4s, width .4s;
}

.nav__link::after{
  content: '';
  position: absolute;
  left: 50%;
  bottom: -.5rem;
  width: 0;
  height: 2px;
  background-color: var(--first-color);
  transition: width .4s ease, left .4s ease;
}


.nav__link:hover{
    color: var(--first-color)
}

.nav__link:hover::after{
  
  width: 70%;
  left: 10%
}

.nav__close{
    position:absolute;
    top: 1rem;
    right: 1.5rem;

}




.show-menu{
    top: 0;
}

.shadow-header{
  box-shadow: 0 2px 16px hsla(0, 0%, 0%, .5);
}

.home__container{
  display: grid;
  row-gap: 4rem;
  padding-block: 2.5rem 2rem;
}

.home__content{
  position: relative;
  justify-self: center;
}

.home__image{
width: 240px;
height: 240px;
background-color: var(--white-color);
border-radius: 50%;
overflow: hidden;
display: flex;
align-items: flex-end;
justify-content: center;
border: 5px solid var(--first-color);
box-shadow: 0 8px 32px hsla(var(--hue), 80%,48%, .3);
}

.home__img{
  width: 200px;
  filter: drop-shadow(0 4px 16px hsla(0, 0%, 0%, .2));
}

.home__social{
position: absolute;
top: 0;
bottom: 0;
left: -2.5rem;
display: grid;
align-content: center;
row-gap: 1.5rem;
}

.home__link{
  color: var(--white-color);
  font-size: 1.5rem;
  transition: transform .4s, color .4s;
}
 .home__link:hover{
 transform: translateY(-.25rem);
 color: var(--first-color);
 }

 .home__data{
  text-align: center;
  row-gap: 1rem;
 }

 .home__subtitle span{
  color: var(--first-color);
 }

 .home__title{
  font-size: var(--bigger-font-size);
  color: var(--first-color);
 }

 .home__buttons{
  display: flex;
  flex-wrap: wrap;
  gap: .5rem;
  justify-content: center;
  margin-top: 2rem;
 }


.button{
  display: inline-flex;
  justify-content: center;
  background-color: var(--first-color);
  color: var(--black-color);
  font-weight: var(--font-medium);
  padding: 1rem 1.5rem;
  border-radius: .5rem;
  transition: box-shadow .4s, color .4s;
}

.button:hover{
  box-shadow: 0 8px 24px hsla(var(--hue), 80%,48%, .3);
}

.button__ghost{
  background-color: var(--body-color);
  color: var(--white-color);
  border: 2px solid var(--first-color);
}

.button__ghost:hover{
  color: var(--first-color);
}

.about__container{
  row-gap: 4rem;
}

.about__content{
  display: grid;
  row-gap: 3rem;
}

.about__data{
text-align: center;
}

.about__description{
  margin-bottom: 3rem;
}

.about__subtitle{
  display: flex;
  align-items: center;
  column-gap: .5rem;
  font-size: var(--h3-font-size);
  color: var(--first-color);
  margin-bottom: 1rem;
}

.about__subtitle i{
  font-size: 1.5rem;
  font-weight: initial;
}
.about__items{
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: .5rem;
}
.about__item{
  background-color: var(--first-color);
  padding: .5rem .75rem;
  border-radius: 2rem;
  color: var(--black-color);
  font-weight: var(--font-regular);
  border: 2px solid var(--body-color);
  cursor: default;
  transition: background-color .4s, color .4s, border-color .4s;
}

.about__item:hover{
  background-color: var(--body-color);
  color: var(--white-color);
  border-color: var(--first-color);
}

.about__image{
width: 240px;
height: 240px;
background-color: var(--white-color);
border-radius: 1rem;
overflow: hidden;
display: flex;
align-items: flex-end;
justify-content: center;
justify-self: center;
box-shadow: 0 8px 32px hsla(var(--hue), 80%,48%, .3);
}

.home__img{
  width: 200px;
  filter: drop-shadow(0 4px 16px hsla(0, 0%, 0%, .2));
}

.projects__container{
  row-gap: 2rem;
}

.projects__card{
  position: relative;
  border-radius: 1rem;
  overflow: hidden;
  box-shadow: 0 8px 16px hsla(0, 0%, 0%, .5);
  transition: box-shadow .4s;
}

.projects__data{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: hsla(var(--hue), 8%, 8%, .4);
  backdrop-filter: blur(16px);
  display: grid;
  place-content: center;
  row-gap: .5rem;
  text-align: center;
  padding: 0 1rem;
  border-radius: 1rem;
  opacity: 0;
  pointer-events: none;
  transition: opacity .4s;
}

.projects__title{
  font-size: var(--h3-font-size); 
}

.projects__description{
  font-size: var(--small-font-size);
}

.projects__data .button{
  justify-self: center;
  background-color: hsla(var(--hue), 8%, 8%, .4);
  margin-top: .5rem;
}

.projects__card:hover{
  box-shadow: 0 8px 16px hsla(var(--hue), 80%,48%, .2);
}

.projects__card:hover .projects__data{
  opacity: 1;
  pointer-events: initial;
}

.resume__container{
  display: grid;
  row-gap: 4rem;
  align-items: start;
}

.resume__content{
  row-gap: 1rem;
}

.resume__subtitle{
  display: flex;
  align-items: center;
  column-gap: .5rem;
  font-size: var(--h3-font-size);
  color: var(--first-color);
}
 

.resume__subtitle i{
  font-size: 1.5rem;
  font-weight: initial;
}

.resume__list{
  row-gap: 2rem;
}

.resume__data{
  display: grid;
  row-gap: .5rem;
}

.resume__title{
  font-size: var(--h3-font-size);
}

.resume__info{
  display: flex;
   column-gap: 1.5rem;
   font-size: var(--small-font-size);
   color: var(--gray-color);
}

.resume__info address{
  font-style: initial;
}

.contact__container{
  row-gap: 4rem;
}

.contact__form{
  position: relative;
  row-gap: 1rem;
}

.contact__input{
  width: 100%;
  background: var(--body-color);
  color: var(--white-color);
  border: 2px solid var(--first-color);
  outline: none;
  padding: 1.25rem 1rem;
  border-radius: .5rem;
  font-weight: var(--font-medium);
}     

.contact__input::placeholder{
  color: var(--gray-color);
  transition: color .4s;
}

.contact__input:focus::placeholder{
  color: var(--first-color);
}

.contact__input:autofill{
  transition: background-color 6000s, color 60000s;
}

.contact__area{
  height: 10rem;
  resize: none;
}

.contact__form .button{
  cursor: pointer;
}

.contact__message{
  position: absolute;
  bottom: -2rem;
  font-size: var(--small-font-size);
}

.contact__data{
  row-gap: 1rem;
}

.contact__address{
  display: flex;
  align-items: center;
  column-gap: 1rem;
  font-style: initial;
}

.contact__address i{
  font-size: 1.5rem;
  color: var(--first-color);
}

.contact__social{
  display: flex;
  column-gap: 1rem;
}

.contact__link{
  color: var(--white-color);
  font-size: 1.5rem;
  transition: transform .4s, color .4s;
}

.contact__link:hover{
  transform: translateY(-.25rem);
  color: var(--first-color);
}

.footer{
  padding-block: 5rem 2rem;
}

.footer__container{
  row-gap: 2rem;
}
.footer__links,
.footer__social{
  display: flex;
  justify-content: center;
}

.footer__logo{
  color: var(--white-color);
  font-size: var(--h1-font-size);
  font-weight: var(--font-semi-bold);
  justify-self: center;
  margin-bottom: 1rem;
  transition: color .4s;
}

.footer__logo:hover{
  color: var(--first-color);
}
.footer__links{
  column-gap: 2rem;
}

.footer__link{
  color: var(--white-color);
  transition: color .4s;
}

.footer__link:hover{
  color: var(--first-color);
}

.footer__social{
  column-gap: 1.5rem;
}

.footer__social-link{
  color: var(--first-color);
  font-size: 1.5rem;
  transition: transform .4s;
}

.footer__social-link:hover{
  transform: translateY(-.25rem);
}

.footer__copy{
  display: block;
  margin-top: 5rem;
  text-align: center;
  font-size: var(--small-font-size);
  color: var(--gray-color);
}

::-webkit-scrollbar{
  width: .6rem;
  background-color: hsl(0, 0%, 15%);
  border-radius: .5rem;
}

::-webkit-scrollbar-thumb{
  background-color: hsl(0, 0%, 25%);
  border-radius: .5rem;
}

::-webkit-scrollbar-thumb:hover{
  background-color: hsl(0, 0%, 35%);
}

.scrollup{
  position: fixed;
  right: 1rem;
  bottom: -50%;
  background-color: var(--body-color);
  box-shadow: 0 4px 16px hsla(0, 0%, 0%, .5);
  display: inline-flex;
  padding: 6px;
  color: var(--white-color);
  font-size: 1.25rem;
  border-radius: .25rem;
  z-index: var(--z-tooltip);
  transition: bottom .4s, transform .4s;
}

.scrollup:hover{
  transform: translatey(-.5rem);
}

.show-scroll{
  bottom: 3rem;
}

@media screen and (max-width:320px){
  .container{
    margin-inline: 1rem;
  }


.home__image,
.about__image{
  width: 200px;
  height: 200px;
}

.home__img,
.about__img{
  width: 170px;
}

.projects__data{
  padding-inline: .5rem;
}
.projects__data .button{
  padding: .5rem .75rem;
}
}

@media screen and (min-width: 540px){
  .home__container, 
  .about__container,
  .projects__container,
  .resume__container,
  .contact__container{
    grid-template-columns: 400px;
    justify-content: center;
  }
}

@media  screen and (min-width: 768px) {
  .home__container, 
  .about__container{
    grid-template-columns: repeat(2, 350px);
    align-items:center;
  }
  .home__data, 
  .about__data,
  .about__data .section__title{
    text-align: initial;
  }
  .home__buttons{
    justify-content: initial;
  }
  
  .projects__container,
  .resume__container,
  .contact__container{
    grid-template-columns: repeat(2, 350px);
  }


.contact__content{
  align-content: flex-start;
}
.contact__form{
  order: 1;
}}

@media screen and (min-width: 1150px){
  .container{
    margin-inline: auto;
  }

  .section{
    padding-block: 7rem 2rem;
  }
  .section__title{
    margin-bottom: 3rem;
  }
  .nav{
      height: calc(var(--header-height) + 2rem);
    }
    .nav__toggle,
    .nav__close{
      display: none;
    }
    .nav__list{
      flex-direction: row;
      column-gap: 4rem;
  }

  .home__container{
    grid-template-columns: 400px 480px;
    column-gap: 7rem;
    padding-block: 8rem 3rem;
  }
  .home__image{
    width: 400px;
    height: 400px;
    border-width: 8px;
  }
  .home__img{
    width: 340px;
  }
  .home__social{
    left: -4rem;
  }
  .home__data{
  row-gap: 1.5rem;
  }
  .home__buttons{
    margin-top: 3.5em;
    column-gap: 1.5rem;
  }
    

.about__container{
  grid-template-columns: 540px 400px;
  column-gap: 6rem;
  padding-block: 5rem 3rem;
}
.about__content{
  row-gap: 5rem;
}
.about__data .section__title{
  margin-bottom: 1.5rem;
}
.about__image{
  width: 400px;
  height: 400px;
  border-radius: 1.5rem;
}
.about__img{
  width: 350px;
  }

  .projects{
    padding-block: 8rem 4rem;
  }
  .projects__container{
    grid-template-columns: repeat(3, 350px);
    gap: 3rem 2rem;
  }
  .projects__data .button{
    margin-top: 1rem;
  }

  .resume{
    padding-block: 8rem 4rem;
  }
  .resume__container{
    grid-template-columns: repeat(2, 456px);
    column-gap: 7rem;
  }
  .contact{
    padding-block: 8rem 4rem;
  }
  .contact__container{
    grid-template-columns: 310px 450px;
    column-gap: 10rem;
  }
  .contact__content{
    row-gap: 2rem;
  }
  .contact__data{
    row-gap: 1.5rem;
  }
  .contact__form .button{
    justify-self: center;
    margin-top: 1rem;
  }
  .contact__area{
    height: 14rem;
  }

  .footer__container{
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
  }
  .footer__logo{
    font-size: var(--h2-font-size);
    justify-self: flex-start;
    margin-bottom: 0;
  }
  .footer__links{
    column-gap: 3rem;
  }
  .footer__social{
    justify-self: flex-end;
  }

  .scrollup{
    right: 3rem;
  }

}
      
@media screen and (min-width: 2048px){
body{
  transform: scale(1.2);
  transform-origin: top center;
}}
